User Tag List

Page 1 of 2 1 2 LastLast
Results 1 to 10 of 20

Thread: Android 6.0 Marshmallow update ?

  1. #1
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Android 6.0 Marshmallow update ?

    Will there be an update for Android 6.0 ?

    I have tried to launch an app of mine, already relesaed on the Google Play store, on a Lg G4 with 6.0 and it couldn't open it ? Is this normal ? Does the Android exporter need an update ?

  2. #2
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,136
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    mm what version of fusion you a re using, you should be able to use 285.1 with api 22

    and yes the out coming new version will be ready to use new permission system for marshmallow
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  3. #3
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I released my apps on the Play store with CF 2.5 v284.10 and with API 22.

    Is it possible that my jdk or my Android SDK are not up to date ?

  4. #4
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,136
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    maybe you are using an old build version in android sdk manager

    I recommend you to register your license and get the update to 285.1
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  5. #5
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Oh, in fact, I post with the nickname Mystr, but I have a CF 2.5 developpers version registered under the nickname fantasio.

    Do you mean I'll need to rebuild and resubmit all my apps every time a new Android version comes out ?

  6. #6
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Hmmmm... It seems hard to believe, what about retrocompatibility ? Isn't Android 6 meant to support apps from Android 5 ? I mean, let's pretend I have a hundred apps on the stores, I'll really have to rebuild and resubmit everything every time a new Android version comes out ?

  7. #7
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,136
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    yes it should, but i don┤t know what you have implemented.

    post your google play store link for me to check
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  8. #8
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    ok, here it is

    https://play.google.com/store/apps/d...Rochegue&hl=fr

    (built with CF 284.10 API 22)

  9. #9
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,136
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    ok, something that I need to explain you need to put target sdk with the build api you use for a better performance so if you build api 22 you should use target 22, I don't understand why many user set target sdk to the lowest.

    from other recommendation

    targetSdkVersion

    The targetSdkVersion has nothing to do with how your app is compiled or what APIs you can utilize. The targetSdkVersion is supposed to indicate that you have tested your app on (presumably up to and including) the version you specify. This is more like a certification or sign off you are giving the Android OS as a hint to how it should handle your app in terms of OS features.
    For example, as the documentation states:
    For example, setting this value to "11" or higher allows the system to apply a new default theme (Holo) to your app when running on Android 3.0 or higher...
    The Android OS, at runtime, may change how your app is stylized or otherwise executed in the context of the OS based on this value. There are a few other known examples that are influenced by this value and that list is likely to only increase over time.
    For all practical purposes, most apps are going to want to set targetSdkVersion to the latest released version of the API. This will ensure your app looks as good as possible on the most recent Android devices. If you do not specify the targetSdkVersion, it defaults to the minSdkVersion.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  10. #10
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    Mystr's Avatar
    Join Date
    May 2014
    Posts
    61
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Ok Fernando ! I understood =)

    I'm gonna rebuild my apps with the good sdk target and it shouldn't be a problem anymore. Thank you for your help and your knowledge about the sdk target.

    I guess I can give you a hint about why users set the minSdk version :

    1. We may not know what is affects to change it
    2. We may think it is better to put the oldest version as we want all of the device to run our apps (wich is a mistake as there is a place where we set the minimum compatible android version)

    so thanks again, I hope it'll work for me ! =)

Page 1 of 2 1 2 LastLast

Similar Threads

  1. HELP COMPILATION PROBLEM ANDROID NEW UPDATE :c
    By Karrix26 in forum Android Export Module 2.5
    Replies: 11
    Last Post: 18th June 2015, 11:28 PM
  2. Build 281.4 Update | Android INI
    By KDT91 in forum Android Export Module 2.5
    Replies: 2
    Last Post: 1st July 2014, 01:56 PM
  3. Android Update Issue?
    By Zallred in forum Fusion 2.5
    Replies: 2
    Last Post: 22nd April 2014, 04:29 PM
  4. Android-App Auto Update (Q)
    By SMASHINGmedia in forum Android Export Module Version 2.0
    Replies: 5
    Last Post: 3rd April 2013, 09:12 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •